package com.ywt.outpatient.domain.models.config;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author Walker
 * Created on 2020/9/15
 */
public class CloudFilmConfig {
    private Integer checkResultFee;
    private String payCode;
    private String payCode4Wx;
    private String payBody;
    private Integer estWaitTimeInMin;
    private Integer twoDExpTimeInMonth;
    private List<String> twoDWhiteList;// 2D 白名单，检查类型符合的才返回 2D url
    private List<String> threeDWhiteList;// 3D 白名单，检查类型符合的才返回 3D url
    private Integer hospitalId;

    public Integer getCheckResultFee() {
        return checkResultFee;
    }

    public void setCheckResultFee(Integer checkResultFee) {
        this.checkResultFee = checkResultFee;
    }

    public String getPayCode() {
        return payCode;
    }

    public void setPayCode(String payCode) {
        this.payCode = payCode;
    }

    public String getPayBody() {
        return payBody;
    }

    public void setPayBody(String payBody) {
        this.payBody = payBody;
    }

    public Integer getEstWaitTimeInMin() {
        return estWaitTimeInMin;
    }

    public void setEstWaitTimeInMin(Integer estWaitTimeInMin) {
        this.estWaitTimeInMin = estWaitTimeInMin;
    }

    public Integer getTwoDExpTimeInMonth() {
        return twoDExpTimeInMonth;
    }

    public void setTwoDExpTimeInMonth(Integer twoDExpTimeInMonth) {
        this.twoDExpTimeInMonth = twoDExpTimeInMonth;
    }

    public String getPayCode4Wx() {
        return payCode4Wx;
    }

    public void setPayCode4Wx(String payCode4Wx) {
        this.payCode4Wx = payCode4Wx;
    }

    public List<String> getTwoDWhiteList() {
        return twoDWhiteList;
    }

    public void setTwoDWhiteList(List<String> twoDWhiteList) {
        this.twoDWhiteList = twoDWhiteList;
    }

    public List<String> getThreeDWhiteList() {
        return threeDWhiteList;
    }

    public void setThreeDWhiteList(List<String> threeDWhiteList) {
        this.threeDWhiteList = threeDWhiteList;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    /**
     * 常量定义
     */
    public static class Constants {

        public static final String RESPONSE_INFO_SUCCEED = "操作成功";

        /**
         * 订单编号业务前缀
         */
        // 体检预约订单
        public static final String ORDER_NO_BIZ_PREFIX_CHECKUP_BOOKING_ORDER = "CB";

        public static final String CHECK_UP_BOOKING_DETAIL = "pages/index/index?entry=by%%2Fbody_check%%2Fappointment_success%%3ForderNo%%3D%s%%26hospitalId%%3D%d%%26peId%%3D%d%%26patientIdNo%%3D%s%%26payFlag%%3D%d";

    }
}
